Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		lame
Version:	3.98.3
Release:	1
License:	GNU/GPL 
URL:		http://lame.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	An MP3 encoder and graphical frame analyzer.

BuildRequires:	nasm 

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

%description
LAME (LAME Ain't an MP3 Encoder) is a research project for learning about and improving MP3 encoding technology.
LAME includes an MP3 encoding library, simple frontend application,
a much-improved psycho-acoustic model (GPSYCHO), and a graphical frame analyzer (MP3x).
Please note that any commercial use (including distributing the LAME encoding engine in a free encoder)
may require a patent license from Thomson Multimedia.
For more details see: http://lame.sourceforge.net

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%configure \
  --disable-dependency-tracking \
  --enable-nasm \
  --enable-mp3rtp

make

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Some apps still expect to find <lame.h>
ln -sf lame/lame.h $RPM_BUILD_ROOT%{_includedir}/lame.h
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%check
make test


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO USAGE LICENSE doc/html/*.html doc/html/*.css
#%{_bindir}/mp3x
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*
%{_libdir}/libmp3lame.so.*

%files devel
%defattr(-,root,root)
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.so
%{_includedir}/lame/
%{_includedir}/lame.h
%_libdir/libmp3lame.a
%_libdir/libmp3lame.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.98.3-1
- Version update
* Tue Sep 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.98.2-1
- Version update
* Sun Sep 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.98.1-1
- Version update
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.98-1
- Version update
* Wed Nov 01 2006 Christian Metzen <metzench@ccux-linux.de> 3.97-2
- rebuild, refined dependencies
* Tue Oct 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.97-1
- Version Update
* Tue Sep 06 2005 Christian Wasem <wasem@ccux-linux.de> 3.96.1-2
- rebuild for SourceRPM
